# Generated by Django 3.1.3 on 2021-02-21 08:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AboutUs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, default='banner-image-1-1920x500.jpg', null=True, upload_to='image_about_us')),
                ('description', models.TextField(blank=True, max_length=5000)),
                ('description_01', models.TextField(blank=True, max_length=5000)),
                ('description_02', models.TextField(blank=True, max_length=5000)),
                ('description_03', models.TextField(blank=True, max_length=5000)),
            ],
            options={
                'verbose_name_plural': 'about us',
            },
        ),
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=35)),
                ('surname', models.CharField(max_length=35)),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=250, unique=True)),
                ('slug', models.SlugField(max_length=250, unique=True)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='child', to='shop.category')),
            ],
            options={
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
                'ordering': ('title',),
                'unique_together': {('parent', 'title', 'slug')},
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('map', models.ImageField(default='map.jpg', upload_to='map')),
                ('email', models.EmailField(max_length=254)),
                ('phone_no', models.CharField(max_length=10)),
                ('address', models.CharField(max_length=350)),
            ],
            options={
                'verbose_name_plural': 'contact',
            },
        ),
        migrations.CreateModel(
            name='SlideImg',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(default=('images/slider-image-1-1920x700.jpg', 'images/slider-image-2-1920x700.jpg', 'images/slider-image-3-1920x700.jpg'), upload_to='slider/%Y/%m/%d')),
            ],
        ),
        migrations.CreateModel(
            name='Terms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=75, null=True)),
                ('terms', models.TextField(blank=True, max_length=2500, null=True)),
            ],
            options={
                'verbose_name_plural': 'terms',
            },
        ),
        migrations.CreateModel(
            name='TermsImg',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, default='banner-image-1-1920x500.jpg', null=True, upload_to='terms')),
            ],
        ),
        migrations.CreateModel(
            name='Testimonials',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=75, null=True)),
                ('testimonial', models.TextField(blank=True, max_length=2500, null=True)),
                ('new_testimonial', models.BooleanField(default=True)),
            ],
            options={
                'verbose_name_plural': 'testimonials',
            },
        ),
        migrations.CreateModel(
            name='TestimonialsImg',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, default='blog-fullscreen-1-1920x700.jpg', null=True, upload_to='testimonials')),
            ],
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('featured_product', models.BooleanField(blank=True, default=False, null=True)),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=255, unique=True)),
                ('description', models.TextField(blank=True, default=' ', null=True)),
                ('thumbnail', models.ImageField(default='no_cover.png', upload_to='product/thumbnail/%Y/%m/%d/')),
                ('price', models.DecimalField(decimal_places=2, default=0.0, max_digits=10)),
                ('discount_price', models.DecimalField(decimal_places=2, default=0.0, max_digits=10)),
                ('stock', models.IntegerField(default=0)),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='shop.author')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='shop.category')),
            ],
            options={
                'verbose_name': 'product',
                'verbose_name_plural': 'products',
                'ordering': ('title',),
            },
        ),
    ]
